## nedit 4.0.2

=== Makefile ===
#
# Makefile for NEdit text editor
#
# targets: sgi_nedit, hp_nedit, ultrix_nedit, ibm_nedit, sunos_nedit,
#	   solaris_nedit, dec_nedit, linux_nedit
#
# Builds an intermediate library in util directory, then builds
# the nedit executable in the source directory
#

sgi_nedit:
	(cd util; make -f Makefile.sgi libNUtil.a)
	(cd source; make -f Makefile.sgi nedit nc)

hp_nedit:
	(cd util; make -f Makefile.hp libNUtil.a)
	(cd source; make -f Makefile.hp nedit nc)

ultrix_nedit:
	(cd util; make -f Makefile.ultrix libNUtil.a)
	(cd source; make -f Makefile.ultrix nedit nc)

ibm_nedit:
	(cd util; make -f Makefile.ibm libNUtil.a)
	(cd source; make -f Makefile.ibm nedit nc)

sunos_nedit:
	(cd util; make -f Makefile.sunos libNUtil.a)
	(cd source; make -f Makefile.sunos nedit nc)

solaris_nedit:
	(cd util; make -f Makefile.solaris libNUtil.a)
	(cd source; make -f Makefile.solaris nedit nc)

dec_nedit:
	(cd util; make -f Makefile.dec libNUtil.a)
	(cd source; make -f Makefile.dec nedit nc)

linux_nedit:
	(cd util; make -f Makefile.linux libNUtil.a)
	(cd source; make -f Makefile.linux nedit nc)

## nedit 4.0.3

=== Makefile ===
#
# Makefile for NEdit text editor
#
# targets: sgi_nedit, hp_nedit, ultrix_nedit, ibm_nedit, sunos_nedit,
#	   solaris_nedit, dec_nedit, linux_nedit
#
# Builds an intermediate library in util directory, then builds
# the nedit executable in the source directory
#

sgi_nedit:
	(cd util; $(MAKE) -f Makefile.sgi libNUtil.a)
	(cd source; $(MAKE) -f Makefile.sgi nedit nc)

hp_nedit:
	(cd util; $(MAKE) -f Makefile.hp libNUtil.a)
	(cd source; $(MAKE) -f Makefile.hp nedit nc)

ultrix_nedit:
	(cd util; $(MAKE) -f Makefile.ultrix libNUtil.a)
	(cd source; $(MAKE) -f Makefile.ultrix nedit nc)

ibm_nedit:
	(cd util; $(MAKE) -f Makefile.ibm libNUtil.a)
	(cd source; $(MAKE) -f Makefile.ibm nedit nc)

sunos_nedit:
	(cd util; $(MAKE) -f Makefile.sunos libNUtil.a)
	(cd source; $(MAKE) -f Makefile.sunos nedit nc)

solaris_nedit:
	(cd util; $(MAKE) -f Makefile.solaris libNUtil.a)
	(cd source; $(MAKE) -f Makefile.solaris nedit nc)

dec_nedit:
	(cd util; $(MAKE) -f Makefile.dec libNUtil.a)
	(cd source; $(MAKE) -f Makefile.dec nedit nc)

linux_nedit:
	(cd util; $(MAKE) -f Makefile.linux libNUtil.a)
	(cd source; $(MAKE) -f Makefile.linux nedit nc)

## nedit 5.1.1

=== Makefile ===
SHELL=/bin/sh
# Makefile for NEdit text editor
#
# Targets are the sufixes of the system-specific makefiles in directory
# "makefiles".  For example, to build NEdit for Solaris, give the command
#
#   make solaris
#
# Builds an intermediate library in util directory, then builds
# the nedit executable in the source directory.
#

all:
	@echo "Please specify target"
	@ls -C makefiles | sed -e 's/Makefile.//g'

.DEFAULT:
	@- (cd util;   if [ -f ../makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
	   then ln -s ../makefiles/Makefile.$@ .; fi)
	@- (cd source; if [ -f ../makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
	   then ln -s ../makefiles/Makefile.$@ .; fi)
	(cd util;   $(MAKE) -f Makefile.$@ libNUtil.a)
	(cd source; $(MAKE) -f Makefile.$@ nedit nc)

clean:
	(cd util; $(MAKE) -f Makefile.common clean)
	(cd source; $(MAKE) -f Makefile.common clean)

## nedit 5.5

=== Makefile ===
# $Id: Makefile,v 1.19 2004/09/30 20:51:05 n8gray Exp $
SHELL=/bin/sh
#
# Makefile for NEdit text editor
#
# Targets are the suffixes of the system-specific makefiles in
# the makefiles/ directory.
# For example, to build NEdit for Solaris, give the command
#
#   make solaris
#
# This builds an intermediate library in the util/ directory,
# then builds the nedit and nc executables in the source/ directory.
#

all:
	@echo "Please specify target:"
	@echo "(For example, type \"make linux\" for a Linux system.)"
	@(cd makefiles && ls -C Makefile* | sed -e 's/Makefile.//g')

.DEFAULT:
	@- (cd Microline/XmL;   if [ -f ../../makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
	   then ln -s ../../makefiles/Makefile.$@ .; fi)
	@- (cd Xlt;   if [ -f ../makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
	   then ln -s ../makefiles/Makefile.$@ .; fi)
	@- (cd util;   if [ -f ../makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
	   then ln -s ../makefiles/Makefile.$@ .; fi)
	@- (cd source; if [ -f ../makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
	   then ln -s ../makefiles/Makefile.$@ .; fi)

	(cd util; \
	    $(MAKE) -f Makefile.$@ verify_config && \
	    $(MAKE) -f Makefile.$@ libNUtil.a)
	(cd Xlt;    $(MAKE) -f Makefile.$@ libXlt.a)
	(cd Microline/XmL;    $(MAKE) -f Makefile.$@ libXmL.a)
	(cd source; $(MAKE) -f Makefile.$@ nedit nc)

# This should not be in the default build, as users may not have Perl
# installed.  This is only interesting to developers.
docs:
	(cd doc; $(MAKE) all)

# We need a "dev-all" target that builds the docs plus binaries, but
# that doesn't work since we require the user to specify the target.  More
# thought is needed

clean:
	(cd util;   $(MAKE) -f Makefile.common clean)
	(cd Xlt;    $(MAKE) -f Makefile.common clean)
	(cd Microline/XmL;    $(MAKE) -f Makefile.common clean)
	(cd source; $(MAKE) -f Makefile.common clean)

realclean: clean
	(cd doc;    $(MAKE) clean)

#
# The following is for creating binary packages of NEdit.
#
RELEASE=nedit-5.5-`uname -s`-`uname -m`
BINDIST-FILES=source/nedit source/nc README COPYRIGHT ReleaseNotes doc/nedit.doc doc/nedit.html doc/nedit.man doc/nc.man doc/faq.txt

dist-bin: $(BINDIST-FILES)
	rm -rf $(RELEASE)
	mkdir -p $(RELEASE)
	cp $(BINDIST-FILES) $(RELEASE)/
	strip $(RELEASE)/nedit $(RELEASE)/nc
	chmod 555 $(RELEASE)/nedit $(RELEASE)/nc
	tar cf $(RELEASE).tar $(RELEASE)
	compress -c $(RELEASE).tar > $(RELEASE).tar.Z
	-gzip -9 -c $(RELEASE).tar > $(RELEASE).tar.gz
	-bzip2 -9 -c $(RELEASE).tar > $(RELEASE).tar.bz2
	rm -rf $(RELEASE) $(RELEASE).tar

## nedit 5.6~cvs20081118

=== Xlt/Makefile ===
# $Id: Makefile,v 1.1 2005/03/23 12:34:28 edg Exp $
SHELL=/bin/sh
#
# Makefile for NEdit text editor
#
# Targets are the suffixes of the system-specific makefiles in
# the makefiles/ directory.
# For example, to build NEdit for Solaris, give the command
#
#   make solaris
#
# This builds an intermediate library in the util/ directory,
# then builds the nedit and nc executables in the source/ directory.
#

all:
	@echo "Please specify target:"
	@echo "(For example, type \"make linux\" for a Linux system.)"
	@(cd ../makefiles && ls -C Makefile* | sed -e 's/Makefile.//g')

.DEFAULT:
	@- if [ -f ../makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
           then ln -s ../makefiles/Makefile.$@ .; fi
	@- $(MAKE) -f Makefile.$@ libXlt.a

clean:
	@- $(MAKE) -f Makefile.common clean

=== debian/changelog ===
nedit (1:5.6~cvs20081118-8) unstable; urgency=low

  [ Jari Aalto ]
  * Removed deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664439).
  * Standards-Version bumped to 3.9.4 (no changes needed).
  * Updated debhelper to 9 due to moving rules to dh(1) format. The dh(1)
    format makes it possible to utilize hardened build flags easily in the
    build process.
  * Added ${misc:Depends} to control files (Lintian).
  * Removed 80_Update_version_description.patch and moved version update
    to rules file. The version string cannot be set from a patch because it is
    modified during the build dynamically from the current date.
    (Closes: #694644)
  * Added 90_build_no_ask.patch to build unattended. CFLAGS
    option -DBUILD_UNTESTED_NEDIT would otherwise display
    "HIT ENTER TO CONTINUE" question.
  * Use hardened build flags; for this the sources also needed a new
    92_format_string.patch.
    http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * Update d/copyright to the machine-readable format v1.0
  * Remove spurious whitespaces from debian files

  [ Paul Gevers ]
  * Update my e-mail address
  * Remove 70_EditVersionText.dpatch as the current version of the library
    is not known-bad
  * Add Vcs-* fields to d/control
  * Set package to Multi-arch: foreign
  * Remove build-depends on libxp-dev (Closes: #623662)
  * Build against libmotif-dev instead of lesstif2-dev now it finaly entered
    main (should get rid of quite some old bugs).
  * Create all CFLAGS in d/rules, thus 20_ChangeFlagsLinuxMakefile.patch is
    obsolete. Now build with BUILD_UNTESTED_NEDIT and HAVE__XMVERSIONSTRING, and
    without USE_DIRENT and USE_LPR_PRINT_CMD. The later means the default for
    the print command is now lp i.s.o. lpr.

 -- Paul Gevers <elbrus@debian.org>  Mon, 27 May 2013 21:22:21 +0200

nedit (1:5.6~cvs20081118-7) unstable; urgency=low

  * Fixed the debian/rules to really create the debugging package
    (Closes: #549328)

 -- Paul Gevers <paul@climbing.nl>  Mon, 05 Oct 2009 21:13:54 +0200

nedit (1:5.6~cvs20081118-6) unstable; urgency=low

  * Standards-Version bumped to 3.8.3 (no changes needed)
  * Created debugging symbols package
  * Added 10_EOF_Parser_error.dpatch created from upstream cvs
    to fix a parser error (upstream bug 2687525)
  * Added 30_off_by_one.dpatch created from upstream cvs to fix for
    off-by-one error, potentially causing a crash (upstream bug 2858723)
  * Added 40_Pointer_to_Integer.dpatch to fix compiler warning on 64 bit
    (from upstream bug 2846694)
  * Added 80_Update_version_description.dpatch to create a version
    string reflecting the real version, i.e. a cvs checkout of 5.6.
  * Updated patches to comply with DEP3 format for patches.

 -- Paul Gevers <paul@climbing.nl>  Mon, 28 Sep 2009 18:21:01 +0200

nedit (1:5.6~cvs20081118-5) unstable; urgency=low

  * Apply 70_EditVersionText.dpatch and slightly improved the text.

 -- Paul Gevers <paul@climbing.nl>  Fri, 08 May 2009 20:18:58 +0200

nedit (1:5.6~cvs20081118-4) UNRELEASED; urgency=low

  * Upload to unstable.
  * Standards-Version bumped to 3.8.1 (no changes needed)
  * Bumped build-depends on lesstif2-dev to >= 1:0.95.0-2.3 because
    of crashing bug in previous versions.
  * Improved debian/nedit.desktop, proper use of fields, and now
    also install it.
  * Added 70_EditVersionText.dpatch to improve the text shown on
    "nedit -version" and remove the warning about a bad lesstif.

 -- Paul Gevers <paul@climbing.nl>  Tue, 05 May 2009 21:50:55 +0200

nedit (1:5.6~cvs20081118-3) experimental; urgency=low

  * Removed source/nedit-nc in debian/rules clean target because
    nedit fails to build twice
  * Reference to GLP-2 in debian/copyright instead of GPL (Lintian
    pedantic warning copyright-refers-to-symlink-license)
  * Use "set -e" in debian/postinst and debian/prerm instead of
    setting it on the #! line (Policy 10.4)

 -- Paul Gevers <paul@climbing.nl>  Thu, 12 Feb 2009 20:14:01 +0100

nedit (1:5.6~cvs20081118-2) UNRELEASED; urgency=low

  * Removed patch 01_CleanupLinks and remove the symlinks directly
    in debian/rules (fails to build twice in a row otherwise).

 -- Paul Gevers <paul@climbing.nl>  Tue, 10 Feb 2009 21:31:15 +0100

nedit (1:5.6~cvs20081118-1) UNRELEASED; urgency=low

  * CVS checkout of 5.6 branch to experiment with upcoming release
  * New maintainer (Closes: 499316)
  * Adjusted short description (removed "A" at beginning)
  * Added patch system (dpatch)
  * Added debian/README.source
  * Checked original diff.gz changes (all implemented upstream or solved
    below)
  * Clean up of symlinks in Makefile clean rule (patch 01_CleanupLinks)
  * Added -DBUILD_BROKEN_NEDIT and -DBUILD_UNTESTED_NEDIT to CFLAGS in
    debian/rules and changed Makefile.linux to use it because LessTif2
    version in Debian is considered bugged by upstream
    (patch 20_ChangeFlagsLinuxMakefile)
  * Updated debian/rules to use dh_install
  * Removed doc/README.FAQ (not relevant)
  * Build man pages from pod source to change name of NC in Nedit-NC
    (patch 50_ChangeNCinMan)
  * Created debian/nedit.desktop file and install it

 -- Paul Gevers <paul@climbing.nl>  Mon, 02 Feb 2009 14:50:37 +0100

nedit (1:5.5-3) unstable; urgency=low

  * QA upload
  * Trigger relinking by uploading (Closes: 431973)
  * Standards-Version changed to 3.8.0 (necessary changes included below)
  * Added debian/watch file
  * Changed build-dependency x-dev (obsolete) to x11proto-core-dev
  * Changed build-dependency debhelper to > 5
  * Added debian/compat level 5
  * Removed DH_COMPAT line from debian/rules (handeled by debian/compat)
  * Added -Wall to CFLAGS in debian/rules to match debian-policy 10.1
  * Changed maintainers to QA and removed uploaders (package is orhaned, see
    bug #499316)
  * Added homepage to debian/control
  * Fixed doc-base-invalid-document-field lintian error by converting capitals
    in docid


=== debian/control ===
Source: nedit
Section: editors
Priority: optional
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper (>= 9),
               libmotif-dev,
               libx11-dev,
               libxt-dev,
               x11proto-core-dev,
               bison,
               perl
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nedit.git
Vcs-Git: git://anonscm.debian.org/collab-maint/nedit.git
Homepage: http://www.nedit.org/
Standards-Version: 3.9.4

Package: nedit
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: nedit-dmotif, nedit-smotif
Replaces: nedit-dmotif, nedit-smotif
Suggests: csh
Description: powerful, customizable, Motif based text editor
 NEdit is a multi-purpose text editor for the X Window System, which
 combines a standard, easy to use, graphical user interface with the
 thorough functionality and stability required by users who edit text
 eight hours a day. It provides intensive support for development in
 a wide variety of languages, text processors, and other tools, but
 at the same time can be used productively by just about anyone who
 needs to edit text. Users of Macintosh and MS Windows based text
 editors will find NEdit a familiar and comfortable environment.

Package: nedit-dbg
Architecture: any
Section: debug
Priority: extra
Depends: nedit (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for nedit
 NEdit is a multi-purpose text editor for the X Window System, which
 combines a standard, easy to use, graphical user interface with the
 thorough functionality and stability required by users who edit text
 eight hours a day. It provides intensive support for development in
 a wide variety of languages, text processors, and other tools, but
 at the same time can be used productively by just about anyone who
 needs to edit text. Users of Macintosh and MS Windows based text
 editors will find NEdit a familiar and comfortable environment.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

VERSION = NEdit 5.6 CVS checkout release by Debian on Nov 18, 2008

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

LDFLAGS = -Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)

# For the flags see makefiles/Makefile.generic
CFLAGS = -DBUILD_UNTESTED_NEDIT -DHAVE__XMVERSIONSTRING \
	-Wall $(shell dpkg-buildflags --get CFLAGS)

# See http://wiki.debian.org/HardeningWalkthrough#Handwritten_Makefiles
CFLAGS += $(CPPFLAGS) $(LDFLAGS)

# -----------------------------------------------------------------------

# Modified during build. Keep original files intact.
ORIG = source/help_data.h source/help_topic.h

define save
	# Save original files
	for f in $(ORIG); do [ -f $$f._ ] || cp -a $$f $$f._ ; done
endef

define restore
	# Restore original files
	for f in $(ORIG); do [ ! -f $$f._ ] || mv $$f._ $$f; done
endef

# -----------------------------------------------------------------------

override_dh_auto_build:
	$(save)
	sed -i s'/\(NEditVersion = "\).*"/\1$(VERSION)\\n"/' source/help_data.h

	$(MAKE) CFLAGS="$(CFLAGS)" linux
	$(MAKE) -C doc VERSION="NEdit $(VERSION)" all

	mv doc/nc.man doc/nedit-nc.1
	mv doc/nedit.man doc/nedit.1
	mv source/nc source/nedit-nc
	$(restore)

override_dh_auto_clean:
	# Generated files
	rm -f doc/nedit.1 doc/nedit-nc.1 source/nedit-nc

	$(MAKE) -C doc clean
	$(MAKE) clean

	find util source Xlt Microline/XmL -type l | \
		xargs --no-run-if-empty rm -f

	$(restore)

override_dh_auto_test:
	# Nothing to do, but nedit's Makefile processes wrongly if asked

override_dh_auto_install:
	# Nothing to do, but nedit's Makefile processes wrongly if asked

override_dh_strip:
	dh_strip --dbg-package=nedit-dbg

%:
	dh $@

# End of file

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sf.net/nedit/nedit-([\d.]*)-src\.tar\.gz

## nedit 5.6

=== debian/changelog ===
nedit (1:5.6-1ubuntu1) vivid; urgency=medium

  * Add Recommends on xfonts-{100,75}dpi* to work around
    crash on startup on Ubuntu systems (LP: #1415309)

 -- Graham Inggs <graham@nerve.org.za>  Tue, 14 Apr 2015 16:26:05 +0200

nedit (1:5.6-1) experimental; urgency=medium

  * New upstream release (wow, after all this time)
  * Drop patches applied upstream and refresh the others
  * Add one new typo found by Lintian to fix_typo_in_help.patch
  * Bump Standards version (no changes)
  * Update Vcs-Browser to canonical location
  * Update Debian version string in documentation

 -- Paul Gevers <elbrus@debian.org>  Wed, 10 Dec 2014 20:08:06 +0100

nedit (1:5.6~cvs20081118-9) unstable; urgency=low

  [ Markus ]
  * Patch source/preferences.c for language mode setting when a file is loaded:
    Now first use the file extension and then look in its contents. The former
    order prevented correct language detection due to ambigous recognition
    patterns.
  * Add patch "ewmh-raise" to raise a (partially) hidden nedit window when
    opening a new file from nedit-nc.
  * Add patch "move tab by drag and drop" to be able to move tabs around
  * Patch source/window.c to allow multiple tab rows
  * Add a small patch to Microline/XmL/Folder.c to make longer parts of
    filenames visible on tabs when many files are open. TODO: Still more
    characters could be shown in the bottom row.
  * Improve desktop integration (nedit.desktop)

  [ Paul Gevers ]
  * Update description so it mentions that UTF-8 files are not supported to
    prevent wrong expectations.
  * Add d/NEWS to describe how to activate the multirow tabbing and the drag
    and drop feature

 -- Paul Gevers <elbrus@debian.org>  Thu, 01 May 2014 19:55:30 +0200

=== debian/control ===
Source: nedit
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper (>= 9),
               libmotif-dev,
               libx11-dev,
               libxt-dev,
               x11proto-core-dev,
               bison,
               perl
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nedit.git
Vcs-Git: git://anonscm.debian.org/collab-maint/nedit.git
Homepage: http://www.nedit.org/
Standards-Version: 3.9.6

Package: nedit
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: nedit-dmotif, nedit-smotif
Replaces: nedit-dmotif, nedit-smotif
Recommends: xfonts-100dpi | xfonts-75dpi | xfonts-100dpi-transcoded | xfonts-75dpi-transcoded
Suggests: csh
Description: powerful, customizable, Motif based text editor
 NEdit is a multi-purpose text editor for the X Window System, which
 combines a standard, easy to use, graphical user interface with the
 thorough functionality and stability required by users who edit text
 eight hours a day. It provides intensive support for development in
 a wide variety of languages, text processors, and other tools, but
 at the same time can be used productively by just about anyone who
 needs to edit text.
 .
 Because of its mature age, NEdit does not support UTF-8 text files,
 nor will that be implemented.

Package: nedit-dbg
Architecture: any
Section: debug
Priority: extra
Depends: nedit (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for nedit
 NEdit is a multi-purpose text editor for the X Window System, which
 combines a standard, easy to use, graphical user interface with the
 thorough functionality and stability required by users who edit text
 eight hours a day. It provides intensive support for development in
 a wide variety of languages, text processors, and other tools, but
 at the same time can be used productively by just about anyone who
 needs to edit text.
 .
 This package contains the debugging symbols.

## nedit 5.6a

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.19 2004/09/30 20:51:05 n8gray Exp $
+# $Id: Makefile,v 1.19.4.1 2009/10/31 11:32:30 lebert Exp $
 SHELL=/bin/sh
 #
 # Makefile for NEdit text editor
@@ -56,7 +56,7 @@
 #
 # The following is for creating binary packages of NEdit.
 #
-RELEASE=nedit-5.5-`uname -s`-`uname -m`
+RELEASE=nedit-5.6-`uname -s`-`uname -m`
 BINDIST-FILES=source/nedit source/nc README COPYRIGHT ReleaseNotes doc/nedit.doc doc/nedit.html doc/nedit.man doc/nc.man doc/faq.txt
 
 dist-bin: $(BINDIST-FILES)

=== Microline/XmL/Makefile ===
#! gmake
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Microline Widget Library, originally made available under the NPL by Neuron Data <http://www.neurondata.com>.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1998
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# In addition, as a special exception to the GNU GPL, the copyright holders
# give permission to link the code of this program with the Motif and Open
# Motif libraries (or with modified versions of these that use the same
# license), and distribute linked combinations including the two. You
# must obey the GNU General Public License in all respects for all of
# the code used other than linking with Motif/Open Motif. If you modify
# this file, you may extend this exception to your version of the file,
# but you are not obligated to do so. If you do not wish to do so,
# delete this exception statement from your version.
#
# ***** END LICENSE BLOCK *****


##########################################################################
#
# Name:			Makefile
# Description:	Makefile for Microline Widget library
# Author:		Ramiro Estrugo <ramiro@netscape.com>
#
##########################################################################

DEPTH			= ../../../..

# XmL headers are exported to dist/include/XmL
MODULE			= Microline/XmL
INCL_SUBDIR		= /XmL

LIBRARY_NAME	= XmL

# There are unused widgets.  They are currently not needed to build Mozilla,
# but that might change in the future.
ifdef XFE_WIDGETS_BUILD_UNUSED

XFE_EXTRA_DEFINES += -DXFE_WIDGETS_BUILD_UNUSED

UNUSED_CSRCS	= \
				Progress.c \
				$(NULL)

UNUSED_EXPORTS	= \
				Progress.h \
				ProgressP.h \
				$(NULL)
endif

CSRCS			= \
				$(UNUSED_CSRCS) \
				Folder.c \
				Grid.c \
				GridUtil.c \
				Tree.c \
				XmL.c \
				$(NULL)

REQUIRES		= Microline

EXPORTS			= \
				$(UNUSED_EXPORTS) \
				Folder.h \
				FolderP.h \
				Grid.h \
				GridP.h \
				Tree.h \
				TreeP.h \
				XmL.h \
				$(NULL)

include $(DEPTH)/config/rules.mk

DEFINES		+= $(XFE_EXTRA_DEFINES)

=== debian/changelog ===
nedit (1:5.6a-3) unstable; urgency=medium

  * Still more repoducible build issues, documentation was containing
    the build date. Updated allow_reproducible_builds.patch
  * Update watch file to pick up the "weird" number we now have.

 -- Paul Gevers <elbrus@debian.org>  Sat, 03 Oct 2015 16:20:46 +0200

nedit (1:5.6a-2) unstable; urgency=medium

  * Upload to unstable
  * Previous fix for reproducible builds was not enough. Extending the
    patch

 -- Paul Gevers <elbrus@debian.org>  Mon, 27 Apr 2015 18:56:54 +0200

nedit (1:5.6a-1) experimental; urgency=medium

  * New upstream release
  * Add allow_reproducible_builds.patch to avoid __DATE__ and __TIME__
    macros
  * Update upstream website as they lost their domain
  * Recommends on x fonts (LP: #1415309)

 -- Paul Gevers <elbrus@debian.org>  Tue, 14 Apr 2015 22:01:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nedit
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Gevers <elbrus@debian.org>
+Maintainer: Paul Gevers <elbrus@debian.org>
 Build-Depends: debhelper (>= 9),
                libmotif-dev,
                libx11-dev,
@@ -12,16 +11,16 @@
                perl
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nedit.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/nedit.git
-Homepage: http://www.nedit.org/
+Homepage: http://sourceforge.net/projects/nedit/
 Standards-Version: 3.9.6
 
 Package: nedit
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: xfonts-100dpi | xfonts-75dpi | xfonts-100dpi-transcoded | xfonts-75dpi-transcoded
 Conflicts: nedit-dmotif, nedit-smotif
 Replaces: nedit-dmotif, nedit-smotif
-Recommends: xfonts-100dpi | xfonts-75dpi | xfonts-100dpi-transcoded | xfonts-75dpi-transcoded
 Suggests: csh
 Description: powerful, customizable, Motif based text editor
  NEdit is a multi-purpose text editor for the X Window System, which

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 #DH_VERBOSE = 1
 
-VERSION = NEdit 5.6 CVS checkout release by Debian on Nov 18, 2008
+VERSION = NEdit released by Debian ($(shell head -1 debian/changelog | sed 's/.*(\(.*\)).*/\1/'))
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
@@ -39,7 +39,7 @@
 	sed -i s'/\(NEditVersion = "\).*"/\1$(VERSION)\\n"/' source/help_data.h
 
 	$(MAKE) CFLAGS="$(CFLAGS)" linux
-	$(MAKE) -C doc VERSION="NEdit $(VERSION)" all
+	$(MAKE) -C doc VERSION="$(VERSION)" all
 
 	mv doc/nc.man doc/nedit-nc.1
 	mv doc/nedit.man doc/nedit.1

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sf.net/nedit/nedit-(.*)-src\.tar\.gz

## nedit 5.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-# $Id: Makefile,v 1.19.4.1 2009/10/31 11:32:30 lebert Exp $
 SHELL=/bin/sh
 #
 # Makefile for NEdit text editor
@@ -29,11 +28,11 @@
 	   then ln -s ../makefiles/Makefile.$@ .; fi)
 
 	(cd util; \
-	    $(MAKE) -f Makefile.$@ verify_config && \
 	    $(MAKE) -f Makefile.$@ libNUtil.a)
 	(cd Xlt;    $(MAKE) -f Makefile.$@ libXlt.a)
 	(cd Microline/XmL;    $(MAKE) -f Makefile.$@ libXmL.a)
 	(cd source; $(MAKE) -f Makefile.$@ nedit nc)
+	@source/nedit -V
 
 # This should not be in the default build, as users may not have Perl
 # installed.  This is only interesting to developers.
@@ -56,7 +55,7 @@
 #
 # The following is for creating binary packages of NEdit.
 #
-RELEASE=nedit-5.6-`uname -s`-`uname -m`
+RELEASE=nedit-5.7-`uname -s`-`uname -m`
 BINDIST-FILES=source/nedit source/nc README COPYRIGHT ReleaseNotes doc/nedit.doc doc/nedit.html doc/nedit.man doc/nc.man doc/faq.txt
 
 dist-bin: $(BINDIST-FILES)

=== debian/changelog ===
nedit (1:5.7-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1:5.3-1.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.
  * Fix day-of-week for changelog entry 5.0-3.

 -- Paul Gevers <elbrus@debian.org>  Sat, 12 Sep 2020 21:19:03 +0200

nedit (1:5.7-2) unstable; urgency=medium

  * Upload to unstable

 -- Paul Gevers <elbrus@debian.org>  Sun, 18 Jun 2017 21:28:51 +0200

nedit (1:5.7-1) experimental; urgency=medium

  * New upstream release
    - Drop obsolete patches (applied upstream)
    - Refresh patches
    - Upload to experimental due to the freeze
  * Bump debhelper version to 10
  * Clean spurious util/check_lin_tif + add debian/missing-sources for it

 -- Paul Gevers <elbrus@debian.org>  Fri, 10 Feb 2017 22:48:42 +0100

nedit (1:5.6a-5) unstable; urgency=medium

  * Real upload of 1:5.6a-4 (I fail to upload it)

 -- Paul Gevers <elbrus@debian.org>  Mon, 12 Sep 2016 20:20:24 +0200

nedit (1:5.6a-4) UNRELEASED; urgency=medium

  * Update desktop file to use %F instead of %U (LP: #1395437)
  * Remove menu per TC ruling
  * Remove nedit-dbg package and build with new debug framework instead
  * Add improve_no_X_font_handling.patch from upstream to avoid Nedit to
    crash when no X-font is available (LP: #1415309)
  * Replace Nedit.xpm by 128x128 pixel nedit.png
  * Update d/control with current upstream website and https for VCS-git
  * Bump Standards (no further changes)

 -- Paul Gevers <elbrus@debian.org>  Fri, 09 Sep 2016 08:53:26 +0200

=== debian/control ===
Source: nedit
Section: editors
Priority: optional
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper-compat (= 12),
               libmotif-dev,
               libx11-dev,
               libxt-dev,
               x11proto-core-dev,
               bison,
               perl
Vcs-Browser: https://salsa.debian.org/debian/nedit
Vcs-Git: https://salsa.debian.org/debian/nedit.git
Homepage: http://sourceforge.net/projects/nedit/
Standards-Version: 3.9.8

Package: nedit
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xfonts-100dpi | xfonts-75dpi | xfonts-100dpi-transcoded | xfonts-75dpi-transcoded
Conflicts: nedit-dmotif, nedit-smotif
Replaces: nedit-dmotif, nedit-smotif
Suggests: csh
Description: powerful, customizable, Motif based text editor
 NEdit is a multi-purpose text editor for the X Window System, which
 combines a standard, easy to use, graphical user interface with the
 thorough functionality and stability required by users who edit text
 eight hours a day. It provides intensive support for development in
 a wide variety of languages, text processors, and other tools, but
 at the same time can be used productively by just about anyone who
 needs to edit text.
 .
 Because of its mature age, NEdit does not support UTF-8 text files,
 nor will that be implemented.

=== debian/rules ===
--- 
+++ 
@@ -64,10 +64,7 @@
 override_dh_auto_install:
 	# Nothing to do, but nedit's Makefile processes wrongly if asked
 
-override_dh_strip:
-	dh_strip --dbg-package=nedit-dbg
-
 %:
-	dh $@
+	dh $@ --ddeb-migration='nedit-dbg (<< 1:5.6a-4~)'
 
 # End of file

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=4

opts="uversionmangle=s#source/.*nedit-##" \
 https://sf.net/nedit/ nedit-(.*)-src\.tar\.gz debian uupate

## nedit source

=== Makefile ===
#
# Makefile for NEdit text editor
#
# targets: sgi_nedit, hp_nedit, ultrix_nedit, ibm_nedit, sunos_nedit,
#	   solaris_nedit, dec_nedit, linux_nedit
#
# Builds an intermediate library in util directory, then builds
# the nedit executable in the source directory
#

all:
	@echo "Please specify target"

sgi_nedit:
	(cd util; $(MAKE) -f Makefile.sgi libNUtil.a)
	(cd source; $(MAKE) -f Makefile.sgi nedit nc)

hp_nedit:
	(cd util; $(MAKE) -f Makefile.hp libNUtil.a)
	(cd source; $(MAKE) -f Makefile.hp nedit nc)

ultrix_nedit:
	(cd util; $(MAKE) -f Makefile.ultrix libNUtil.a)
	(cd source; $(MAKE) -f Makefile.ultrix nedit nc)

ibm_nedit:
	(cd util; $(MAKE) -f Makefile.ibm libNUtil.a)
	(cd source; $(MAKE) -f Makefile.ibm nedit nc)

sunos_nedit:
	(cd util; $(MAKE) -f Makefile.sunos libNUtil.a)
	(cd source; $(MAKE) -f Makefile.sunos nedit nc)

solaris_nedit:
	(cd util; $(MAKE) -f Makefile.solaris libNUtil.a)
	(cd source; $(MAKE) -f Makefile.solaris nedit nc)

dec_nedit:
	(cd util; $(MAKE) -f Makefile.dec libNUtil.a)
	(cd source; $(MAKE) -f Makefile.dec nedit nc)

linux_nedit:
	(cd util; $(MAKE) -f Makefile.linux libNUtil.a)
	(cd source; $(MAKE) -f Makefile.linux nedit nc)
